Време е за php8

Време е за php8

Вече извършихме няколко ъпдейта на сайтовете на наши клиенти за PHP8 и можем да кажем, че няма нищо страшно. Това се дължи на ежемесечната поддръжка, тъй като ъпдейтите бяха от версия 7.4 към 8. Ако сайта Ви работи на версия 5.6 или по-ниска, процеса няма да е толкова приятен. Дори да използвате готови платформи като WordPress, където ъпдейтите стават с един клик, надали всичко ще сработи. Практиката ни е показала, че повечето от нашите колеги инсталират купища плъгини в WordPress за какви ли не безсмислици, които могат да станат с няколко реда код във functions.php. При един такъв ъпдейт лошо поддържаните плъгини ще счупят сайта Ви, въпреки, че самият WordPress вече поддържа PHP8.

При всички положения, най-добре е да се направи тестово копие на сайта, където да се прилагат спокойно редакции по кода за съвместимост с PHP8. При нужда от ъпдейт или поддръжка на сайт, свържете се с нас. Работим както с авторски платформи, така и с по-известните такива с отворен код.


Прочети цялата публикация
Коментари

Tози сайт използва "Бисквитки". Научи повече Приемам

Моля, запознайте се с нашите Общи условия и Политика за поверителност